commit:     7590c06ae11333eaf0ee4d6f52c548f4de7e6695
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  3 00:08:41 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Dec  3 00:29:38 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7590c06a

net-misc/gallery-dl: bump to 1.28.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 net-misc/gallery-dl/Manifest                 |  1 +
 net-misc/gallery-dl/gallery-dl-1.28.0.ebuild | 49 ++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/net-misc/gallery-dl/Manifest b/net-misc/gallery-dl/Manifest
index c0f002656c31..247150ac0706 100644
--- a/net-misc/gallery-dl/Manifest
+++ b/net-misc/gallery-dl/Manifest
@@ -1 +1,2 @@
 DIST gallery-dl-1.27.7.gh.tar.gz 738516 BLAKE2B 
af29a40de14c392101c50698ae2199f64b458c8e5ab997982625773f21b069d5b3133c1a7897a743255962c5494e0536f36f4c4067872a06761a5a3a333e44ca
 SHA512 
384c5a5c7dfac01ad48dbbe12750e5bec5814620bebd1d49866a9a3b6d64f7aac60e4173f737ed2678c6d57e372b6957cb747d28444981a4ddb7721bd4f9cff9
+DIST gallery-dl-1.28.0.gh.tar.gz 766066 BLAKE2B 
d99cff290ea3b4c1e32a77a1eb3c751b51a8741402a50586edb3d029b36bd7178358fb0541452538cde6fb75029dfb6839d02602a8d869e8ae0406914fa13e90
 SHA512 
2e1a49ea4db7ba7576ac62a1518d1bb54110720c53ebda3bb9ef272422d7ccbb742b60dd49cd5d5830cb89d67dce849d355f0972030b27d337577d7e622a0998

diff --git a/net-misc/gallery-dl/gallery-dl-1.28.0.ebuild 
b/net-misc/gallery-dl/gallery-dl-1.28.0.ebuild
new file mode 100644
index 000000000000..254956362b1d
--- /dev/null
+++ b/net-misc/gallery-dl/gallery-dl-1.28.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{12..13} )
+PYTHON_REQ_USE="sqlite,ssl,xml(+)"
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Download image galleries and collections from several image 
hosting sites"
+HOMEPAGE="https://github.com/mikf/gallery-dl/";
+
+if [[ "${PV}" == *9999* ]]; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/mikf/${PN}.git";
+else
+       SRC_URI="https://github.com/mikf/${PN}/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+RDEPEND="
+       >=dev-python/requests-2.11.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+       # Tests against real servers, some tests always fail and some are 
subject to change.
+       rm test/test_extractor.py test/test_results.py || die
+
+       distutils-r1_src_prepare
+}
+
+python_compile_all() {
+       emake PYTHON="${EPYTHON}" data/completion/{,_}gallery-dl man
+}
+
+pkg_postinst() {
+       optfeature "Pixiv Ugoira to WebM conversion" media-video/ffmpeg
+       optfeature "video downloads" net-misc/yt-dlp
+}

Reply via email to